curl --request POST \
--url https://developer.synq.io/api/coordinates/v1/database/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
'import requests
url = "https://developer.synq.io/api/coordinates/v1/database/by-id"
payload = { "ids": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]})
};
fetch('https://developer.synq.io/api/coordinates/v1/database/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coordinates": [
{
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
],
"dialectName": "<string>",
"dialect": "SQL_DIALECT_UNSPECIFIED",
"dataPlatform": {
"athena": {
"instance": "<string>",
"catalog": "<string>"
}
},
"dataPlatformType": "DATA_PLATFORM_TYPE_UNSPECIFIED",
"connectionId": "<string>",
"instanceName": "<string>",
"databaseName": "<string>",
"schemaName": "<string>",
"objectName": "<string>",
"sqlFqn": "<string>",
"sqlDatabaseName": "<string>",
"sqlSchemaName": "<string>",
"sqlObjectName": "<string>"
}
]
}BatchDatabaseCoordinates
Get multiple DatabaseCoordinates for identifiers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
BatchGetEntitiesRequest is the request message for the BatchGetEntities method.
Identifiers of the entities to get.
Identifier is a unique reference to an entity in Coalesce Quality system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.
- airflow_dag
- airflow_task
- athena_table
- bigquery_table
- clickhouse_table
- custom
- databricks_table
- dataproduct
- dbt_cloud_node
- dbt_core_node
- fabric_table
- monitor
- mssql_table
- mysql_table
- oracle_table
- postgres_table
- redshift_table
- saved_view
- snowflake_table
- sql_mesh_audit
- sql_mesh_model
- synq_path
- trino_table
Show child attributes
Show child attributes
Response
Success
BatchGetEntitiesResponse is the response message for the BatchGetEntities method.
The entities that were retrieved.
Show child attributes
Show child attributes